set(ITKVtkGlue_LOADED 1)
set(ITKVtkGlue_ENABLE_SHARED "1")
set(ITKVtkGlue_DEPENDS "ITKCommon;ITKImageIntensity;ITKVTK")
set(ITKVtkGlue_PUBLIC_DEPENDS "ITKCommon;ITKVTK")
set(ITKVtkGlue_TRANSITIVE_DEPENDS "ITKCommon;ITKImageIntensity;ITKVTK")
set(ITKVtkGlue_PRIVATE_DEPENDS "")
set(ITKVtkGlue_LIBRARIES "ITKVtkGlue")
set(ITKVtkGlue_INCLUDE_DIRS "${ITK_INSTALL_PREFIX}/include/InsightToolkit;/usr/local/vtk/6.1.0/include/vtk;/usr/include;/usr/include/freetype2")
set(ITKVtkGlue_LIBRARY_DIRS "")
set(ITKVtkGlue_RUNTIME_LIBRARY_DIRS "${ITK_INSTALL_PREFIX}/lib/")
set(ITKVtkGlue_TARGETS_FILE "")

set(VTK_DIR "/usr/local/vtk/6.1.0/lib/cmake/vtk")

find_package(VTK NO_MODULE REQUIRED)

if(NOT VTK_VERSION)
  set(VTK_VERSION "6.1.0")
endif()
if(NOT VTK_RENDERING_BACKEND)
  set(VTK_RENDERING_BACKEND OpenGL)
endif()
set(_target_freetypeopengl)
if(TARGET vtkRenderingFreeTypeOpenGL)
  set(_target_freetypeopengl vtkRenderingFreeTypeOpenGL)
endif()

if( 6.1.0 VERSION_LESS 6.0.0 )
  set(ITKVtkGlue_VTK_INCLUDE_DIRS /usr/local/vtk/6.1.0/include/vtk;/usr/include;/usr/include/libxml2;/usr/include/jsoncpp;/usr/include/freetype2;/usr/include/python2.7)
  set(ITKVtkGlue_VTK_LIBRARIES /usr/lib/libz.so;verdict;/usr/lib/libtiff.so;/usr/lib/libjpeg.so;vtksys;vtksqlite;/usr/lib/libpng.so;/usr/lib/libtheoraenc.so;/usr/lib/libtheoradec.so;/usr/lib/libogg.so;/usr/lib/libnetcdf_c++.so;/usr/lib/libnetcdf.so;/usr/lib/libm.so;/usr/lib/libhdf5_hl.so;/usr/lib/libhdf5.so;/usr/lib/libxml2.so;vtkproj4;/usr/lib/libjsoncpp.so;/usr/lib/libgl2ps.so;vtkftgl;/usr/lib/libfreetype.so;/usr/lib/libexpat.so;vtkexoIIc;vtkalglib;vtkWrappingTools;vtkCommonCore;vtkWrappingPythonCore;/usr/lib/libpython2.7.so;vtkWrappingJava;vtkViewsQt;vtkGUISupportQt;vtkCommonExecutionModel;vtkCommonDataModel;vtkCommonMath;vtkCommonMisc;vtkCommonSystem;vtkCommonTransforms;vtkFiltersExtraction;vtkFiltersCore;vtkFiltersGeneral;vtkCommonComputationalGeometry;vtkFiltersStatistics;vtkImagingFourier;vtkImagingCore;vtkInteractionStyle;vtkFiltersSources;vtkRenderingCore;vtkFiltersGeometry;vtkRenderingOpenGL;vtkImagingHybrid;vtkIOImage;vtkDICOMParser;vtkIOCore;vtkmetaio;vtkViewsInfovis;vtkChartsCore;vtkCommonColor;vtkInfovisCore;vtkRenderingContext2D;vtkRenderingFreeType;vtkFiltersImaging;vtkImagingGeneral;vtkImagingSources;vtkFiltersModeling;vtkInfovisLayout;vtkRenderingLabel;vtkViewsCore;vtkInteractionWidgets;vtkFiltersHybrid;vtkRenderingAnnotation;vtkImagingColor;vtkRenderingVolume;vtkViewsGeovis;vtkGeovisCore;vtkIOXML;vtkIOGeometry;vtkIOXMLParser;vtkViewsContext2D;vtkTestingRendering;vtkRenderingVolumeOpenGL;vtkRenderingVolumeAMR;vtkFiltersAMR;vtkParallelCore;vtkIOLegacy;vtkInteractionImage;vtkRenderingQt;vtkFiltersTexture;vtkRenderingLOD;vtkRenderingLIC;vtkRenderingImage;vtkRenderingGL2PS;vtkRenderingFreeTypeOpenGL;vtkLocalExample;vtkImagingStencil;vtkImagingStatistics;vtkImagingMorphological;vtkImagingMath;vtkIOVideo;vtkIOSQL;vtkIOParallel;vtkFiltersParallel;vtkIONetCDF;vtkIOPLY;vtkIOMovie;vtkIOMINC;vtkIOLSDyna;vtkIOInfovis;vtkIOImport;vtkIOExport;vtkIOExodus;vtkIOEnSight;vtkIOAMR;vtkGUISupportQtWebkit;vtkGUISupportQtSQL;vtkGUISupportQtOpenGL;vtkFiltersVerdict;vtkFiltersStatisticsGnuR;vtkFiltersSelection;vtkFiltersSMP;vtkFiltersProgrammable;vtkFiltersParallelImaging;vtkFiltersHyperTree;vtkFiltersGeneric;vtkFiltersFlowPaths;vtkDomainsChemistry)
else()
  set(_wrap_module)
  if(ITK_WRAP_PYTHON AND PYTHON_VERSION_STRING VERSION_LESS 3.0)
    set(_wrap_module vtkWrappingPythonCore)
  endif()
  vtk_module_config(ITKVtkGlue_VTK
    vtkRenderingOpenGL
    vtkRenderingFreeType
    vtkRenderingFreeTypeOpenGL
    vtkInteractionStyle
    vtkIOImage
    vtkImagingSources
    
    )

  set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS ${ITKVtkGlue_VTK_DEFINITIONS})
endif()

